winstd::dc Class Reference
GDI API

Device context wrapper class. More...

`#include <WinStd/GDI.h>`

Inheritance diagram for winstd::dc:

## Public Member Functions

virtual | ~dc ()
| Deletes the specified device context (DC). More...
Public Member Functions inherited from winstd::handle< HDC, NULL >
| handle () noexcept
| Initializes a new class instance with the object handle set to INVAL.
| handle (handle_type h) noexcept
| Initializes a new class instance with an already available object handle. More...
| handle (handle< handle_type, INVAL > &&h) noexcept
| Move constructor. More...
handle< handle_type, INVAL > & | operator= (handle_type h) noexcept
| Attaches already available object handle. More...
handle< handle_type, INVAL > & | operator= (handle< handle_type, INVAL > &&h) noexcept
| Move assignment. More...
| operator handle_type () const
| Auto-typecasting operator. More...
handle_type *& | operator* () const
| Returns the object handle value when the object handle is a pointer to a value (class, struct, etc.). More...
handle_type * | operator& ()
| Returns the object handle reference. More...
handle_type | operator-> () const
| Provides object handle member access when the object handle is a pointer to a class or struct. More...
bool | operator! () const
| Tests if the object handle is INVAL. More...
bool | operator< (handle_type h) const
| Is handle less than? More...
bool | operator<= (handle_type h) const
| Is handle less than or equal to? More...
bool | operator>= (handle_type h) const
| Is handle greater than or equal to? More...
bool | operator> (handle_type h) const
| Is handle greater than? More...
bool | operator!= (handle_type h) const
| Is handle not equal to? More...
bool | operator== (handle_type h) const
| Is handle equal to? More...
void | attach (handle_type h) noexcept
| Sets a new object handle for the class. More...
handle_type | detach ()
| Dismisses the object handle from this class. More...
void | free ()
| Destroys the object.

## Protected Member Functions

void | free_internal () noexcept override
| Deletes the specified device context (DC). More...
virtual void | free_internal () noexcept=0
| Abstract member function that must be implemented by child classes to do the actual object destruction. More...

## Additional Inherited Members

Public Types inherited from winstd::handle< HDC, NULL >
typedef HDC | handle_type
| Datatype of the object handle this template class handles.
Static Public Attributes inherited from winstd::handle< HDC, NULL >
static const HDC | invalid
| Invalid handle value.
Protected Attributes inherited from winstd::handle< HDC, NULL >
handle_type | m_h
| Object handle.

## Detailed Description

Device context wrapper class.

## Constructor & Destructor Documentation

## ~dc()

virtual winstd::dc::~dc | ( |  | ) |

inlinevirtual

Deletes the specified device context (DC).

See also
  DeleteDC function

## Member Function Documentation

## free_internal()

void winstd::dc::free_internal | ( |  | ) |

inlineoverrideprotectedvirtualnoexcept

Deletes the specified device context (DC).

See also
  DeleteDC function

Implements winstd::handle< HDC, NULL >.

The documentation for this class was generated from the following file:

- include/WinStd/GDI.h